EVP_CAST5_CBC(3)

NAME
EVP_cast5_cbc, EVP_cast5_cfb, EVP_cast5_cfb64, EVP_cast5_ecb, EVP_cast5_ofb - EVP CAST cipher

SYNOPSIS
 #include <openssl/evp.h>

 const EVP_CIPHER *EVP_cast5_cbc(void)
 const EVP_CIPHER *EVP_cast5_cfb(void)
 const EVP_CIPHER *EVP_cast5_cfb64(void)
 const EVP_CIPHER *EVP_cast5_ecb(void)
 const EVP_CIPHER *EVP_cast5_ofb(void)

DESCRIPTION
The CAST encryption algorithm for EVP.

This is a variable key length cipher.

EVP_cast5_cbc(), EVP_cast5_ecb(), EVP_cast5_cfb(), EVP_cast5_cfb64(), EVP_cast5_ofb()
    CAST encryption algorithm in CBC, ECB, CFB and OFB modes respectively.

RETURN VALUES
These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

SEE ALSO
evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

COPYRIGHT
Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.